%define name 				esvn
%define version 			0.7.0
%define svn					svn1263
%define release				%mkrel 0.%svn.1
%define summary The eSvn is a cross-platform (QT-based) GUI for Subversion

Name: %{name}
Version: %{version}
Release: %{release}
Summary: %{summary}
Source:   %{name}-%{svn}.tar.bz2
Source11: %{name}-16x16.png
Source12: %{name}-32x32.png
Source13: %{name}-48x48.png
Patch0: %{name}_fix_cmd_lineedit.patch

Group: Development/KDE and Qt
URL: http://esvn.umputun.com/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildRequires: qt3-devel
BuildRequires: dos2unix
Requires: subversion

%description
The eSvn is a cross-platform (QT-based) GUI frontend for the 
Subversion revision system.

%prep
rm -rf %{buildroot}

%setup -qn %{name}-%{svn}
# %patch0 -p0

%build
%make
#qmake -o Makefile esvn.pro
#perl -pi -e 's|-lqt|-lqt-mt|g' Makefile
#QTDIR=/usr/lib/qt3 make 

%install
mkdir -p %{buildroot}%{_bindir}
install -m755 esvn %{buildroot}%{_bindir}/%{name}
install -m755 esvn-diff-wrapper %{buildroot}%{_bindir}
dos2unix COPYING

# Install icon files
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_liconsdir}
install -m644 %{SOURCE11} %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} %{buildroot}%{_liconsdir}/%{name}.png

# Create and install menu file
install -d %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
title="ESvn" \
longtitle="The eSvn is a cross-platform (QT-based) GUI for Subversion" \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
section="More Applications/Development/Tools" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=The eSvn is a cross-platform (QT-based) GUI for Subversion
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;X-MandrivaLinux-MoreApplications-Development-Tools;Development;RevisionControl;
EOF

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc AUTHORS  COPYING  LICENSE  README  VERSION  ChangeLog
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_bindir}/esvn-diff-wrapper



%changelog
* Wed Apr 25 2007 trem <trem@mandriva.org> 0.7.0-0.svn1263.1mdv2008.0
+ Revision: 18365
- port to 0.7.0 svn1263

  + Mandriva <devel@mandriva.com>


* Thu Sep 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.11-6mdv2007.0
- XDG ( twice )

* Mon Sep 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.11-4mdv2007.0
- Add BuildRequires

* Mon Sep 11 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.11-4mdv2007.0
- XDG

* Mon Mar 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.11-3mdk
- Add BuildRequires

* Fri Jan 13 2006 trem <trem@mandriva.org> 0.6.11-2mdk
- Fix compilation on amd64 (patch0)

* Wed Aug 17 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.11-1mdk
- New release 0.6.11

* Fri Feb 18 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.8-2mdk
- fix for #13724

* Thu Feb 10 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.8-1mdk
- 0.6.8

* Sun Jan 02 2005 Emmanuel Blindauer <mdk@agat.net> 0.6.6-1mdk
- 0.6.6

* Sat Dec 18 2004 Emmanuel Blindauer <mdk@agat.net> 0.6.5-1mdk
- 0.6.5-2
- Added esvn-diff-wrapper utility
- Added menu entry in Development Tools

* Tue Aug 31 2004 Emmanuel Blindauer <mdk@agat.net> 0.6.0-1mdk
- 0.6.0-1

* Wed Aug 11 2004 Emmanuel Blindauer <mdk@agat.net> 0.4.1-3mdk
- Don't forget the most important part: Requires: subversion!

* Mon Aug 09 2004 Emmanuel Blindauer <mdk@agat.net> 0.4.1-2mdk
- Correct requires on qt3 to libqt3

* Mon Aug 09 2004 Emmanuel Blindauer <mdk@agat.net> 0.4.1-1mdk
- First package (original spec from Michael Lang  Michael.Lang at chester . at

